# $Revision: 1.17 $, $Date: 2008/07/27 22:43:04 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Integral-Romberg
Summary:	Math::Integral::Romberg - scalar numerical integration
Summary(pl.UTF-8):	Math::Integral::Romberg - całkowanie numeryczne
Name:		perl-Math-Integral-Romberg
Version:	0.02
%define	_ver	%(echo %{version} | tr . _)
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{_ver}.tar.gz
# Source0-md5:	932ea744c11f34b5506a14637ef0421a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Integral::Romberg module numerically estimates the integral of
function using Romberg integration, a faster relative of Simpson's
method.

%description -l pl.UTF-8
Moduł Math::Integral::Romberg numerycznie przybliża wartość całki
funkcji przy użyciu całkowania Romberga, szybszego niż metoda
Simpsona.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Release
%dir %{perl_vendorlib}/Math/Integral
%{perl_vendorlib}/Math/Integral/Romberg.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Integral-Romberg.spec,v $
Revision 1.17  2008/07/27 22:43:04  arekm
- release 3

Revision 1.16  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.14  2004/12/01 11:19:34  radek
- standarized

Revision 1.13  2004/11/03 22:30:34  paladine
- formatting

Revision 1.12  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.11  2004/05/06 18:20:40  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/23 07:50:18  ankry
- license fixes, unification

Revision 1.9  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.8  2003/08/18 08:08:59  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:43  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

